<?php
/*Skrypt pochodzi z ksi±¿ki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function genPass($len)
{
  if($len < 6 || $len > 255) return "";
  $charSet = "abcdefghijklmnoprstuwxyz";
  $charSet .= "ABCDEFGHIJKLMNOPRSTUWXYZ";
  $charSet .= "1234567890";
  $pass = "";
  $lenght = strlen($charSet) - 1;
  for($i = 0; $i < $len; $i++){
    $rand = rand(0, $lenght);
    $pass .= $charSet[$rand];
  }
  return $pass;
}
echo(genPass(8));
?>
